com.lowagie.text.html

## Class HtmlPeer

- java.lang.Object
- - com.lowagie.text.xml.XmlPeer
  - - com.lowagie.text.html.HtmlPeer

-     public class HtmlPeer
      extends XmlPeer

  This interface is implemented by the peer of all the iText objects.

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.text.xml.XmlPeer

      `attributeAliases, attributeValues, customTagname, defaultContent, tagname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlPeer(java.lang.String name, java.lang.String alias)` Creates a XmlPeer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAlias(java.lang.String name, java.lang.String alias)` Sets an alias for an attribute.
    `java.util.Properties` | `getAttributes(org.xml.sax.Attributes attrs)` Gets the list of attributes of the peer.

    - ### Methods inherited from class com.lowagie.text.xml.XmlPeer

      `addValue, getAlias, getDefaultValues, getName, getTag, setContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlPeer

          public HtmlPeer(java.lang.String name,
                  java.lang.String alias)

      Creates a XmlPeer.
      Parameters:
        `name` - the iText name of the tag
        `alias` - the Html name of the tag

  - ### Method Detail

    - #### addAlias

          public void addAlias(java.lang.String name,
                      java.lang.String alias)

      Sets an alias for an attribute.
      Overrides:
        `addAlias` in class `XmlPeer`
      Parameters:
        `name` - the iText tagname
        `alias` - the custom tagname

    - #### getAttributes

          public java.util.Properties getAttributes(org.xml.sax.Attributes attrs)

      Description copied from class: `XmlPeer`
      Gets the list of attributes of the peer.
      Overrides:
        `getAttributes` in class `XmlPeer`
      Parameters:
        `attrs` - the user defined set of attributes
      Returns:
        the set of attributes translated to iText attributes
      See Also:
        `XmlPeer.getAttributes(org.xml.sax.Attributes)`